Loading...
Searching...
No Matches
Alembic::AbcCoreAbstract::ALEMBIC_VERSION_NS::ScalarSample::Data Class Referenceabstract

`#include <ScalarSample.h>`

## Public Member Functions

virtual | ~Data ()
virtual void | setToDefault ()=0
virtual void | copyFrom (const void *iData)=0
virtual bool | equalTo (const void *iData) const =0
virtual bool | equalEpsilon (const void *iData, double iEpsilon) const =0
virtual bool | lessThan (const void *iData) const =0
virtual const void * | getData () const =0

## Detailed Description

Definition at line 69 of file ScalarSample.h.

## Constructor & Destructor Documentation

## ~Data()

virtual Alembic::AbcCoreAbstract::ALEMBIC_VERSION_NS::ScalarSample::Data::~Data | ( |  | ) |

inlinevirtual

Definition at line 72 of file ScalarSample.h.

## Member Function Documentation

## copyFrom()

virtual void Alembic::AbcCoreAbstract::ALEMBIC_VERSION_NS::ScalarSample::Data::copyFrom | ( | const void * | iData | ) |

pure virtual

## equalEpsilon()

virtual bool Alembic::AbcCoreAbstract::ALEMBIC_VERSION_NS::ScalarSample::Data::equalEpsilon | ( | const void * | iData,
|  | double | iEpsilon ) const

pure virtual

## equalTo()

virtual bool Alembic::AbcCoreAbstract::ALEMBIC_VERSION_NS::ScalarSample::Data::equalTo | ( | const void * | iData | ) | const

pure virtual

## getData()

virtual const void * Alembic::AbcCoreAbstract::ALEMBIC_VERSION_NS::ScalarSample::Data::getData | ( |  | ) | const

pure virtual

## lessThan()

virtual bool Alembic::AbcCoreAbstract::ALEMBIC_VERSION_NS::ScalarSample::Data::lessThan | ( | const void * | iData | ) | const

pure virtual

## setToDefault()

virtual void Alembic::AbcCoreAbstract::ALEMBIC_VERSION_NS::ScalarSample::Data::setToDefault | ( |  | ) |

pure virtual

The documentation for this class was generated from the following file:

- opt/local/include/Alembic/AbcCoreAbstract/ScalarSample.h